跳到主要内容

转换集群为全球集群 (V2)

Converts an existing dedicated cluster into the primary member of a new Global Cluster, and creates one or more secondary member clusters.

POST/v2/globalClusters/convert
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
请求体application/json
clusterIdstring必填项

要转换为全球集群主成员的现有 Dedicated 集群 ID。

示例值:in01-xxxxxxxxxxxxxxx
globalClusterNamestring必填项

新全球集群显示名称。

示例值:my-global-cluster
secondaryClustersarrayrequired

要创建为全球集群成员的从集群,至少需要一个。

[]secondaryClustersobjectrequired
clusterNamestring必填项

从集群显示名称。

示例值:secondary-cluster-ap
regionIdstring必填项

从集群区域 ID。

示例值:aws-ap-southeast-1
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/convert" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "in01-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"secondaryClusters": [
{
"clusterName": "secondary-cluster",
"regionId": "ali-cn-hangzhou"
}
]
}'
响应200 - application/json
globalClusterIdstring

新的全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
jobIdstring

异步转换操作的任务 ID。

示例值:job-xxxxxxxxxxxxxxx

返回错误消息。

codeinteger

响应码。

示例值:400
messagestring

错误描述。

示例值:Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"jobId": "job-xxxxxxxxxxxxxxx"
}